on_connectivity_widget 1.0.2 icon indicating copy to clipboard operation
on_connectivity_widget: ^1.0.2 copied to clipboard

Flutter Package used to listen network connection and show a custom message to application.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add on_connectivity_widget

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  on_connectivity_widget: ^1.0.2

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:on_connectivity_widget/on_connectivity_widget.dart';
8
likes
120
pub points
62%
popularity

Publisher

shield icon for verified publisherslucasjosino.com

Flutter Package used to listen network connection and show a custom message to application.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

connectivity_plus, flutter, on_toast_widget

More

Packages that depend on on_connectivity_widget